###Second Assesment

This app contains 3 tier architecture
#bals-front-end
Its an click tracker app 
Triggers backend
#bals-back-end
Its an click tracker app
Connect dynamo and fetch the click value


API Gateway is used to host this app. 
Rest API type is
Secure conneciton is initiated through Rest API

for bringing the infra up
terraform plan -var-file=infra.tfvars -var "assume_role=arn:aws:iam::864370184797:role/ec2-role"

####First Assesment

Lambda is created in python 3.7
###############command for creating lambda package
zip -r infra_artifacts.zip infra_artifacts.py
zip -r infra_artifacts.zip send_mail.py
aws s3 cp infra_artifacts.zip s3://bals-lambda-artifacts/src/infra_artifacts.zip

Terraform code deploys the lambda

Cloudwatch trigger is created for every 2 hours
Tags can be fetched through two means one is passed through the code and another one is through an extenal endpoint crated for the Second assesment.



###Deployment of the frontend and backend app through ansible
#cd bals-back-end && ansible-playbook ecs_deploy.yml -e "name=back-end" -e "region=us-west-2" -e "backend_key=ecs_infra_preprod1.tf"  -e "image=864370184797.dkr.ecr.us-west-2.amazonaws.com/second_svc:latest"

#cd bals-front-end && ansible-playbook ecs_deploy.yml -e "name=front-end" -e "region=us-west-2" -e "backend_key=ecs_infra_preprod1.tf"  -e "image=864370184797.dkr.ecr.us-west-2.amazonaws.com/first_svc:latest"

